Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504728 - www-apps/collectd-web-0.4.0 with www-servers/apache - CGI scripts not working because of relative paths, missing executable bits and missing Apache configuration settings
Summary: www-apps/collectd-web-0.4.0 with www-servers/apache - CGI scripts not working...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard: Pending removal: 2018-04-18
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2014-03-15 16:52 UTC by gentoo
Modified: 2018-05-28 17:32 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gentoo 2014-03-15 16:52:35 UTC
After installation with portage then with webapp-config in Apache directories (vhosts mode), the Perl CGI scripts of collectd-web are located in /var/www/localhost/cgi-script and the documents in /var/www/localhost/htdocs : this is normal. But documents in /htdocs reference the CGI scripts with ".../cgi-script". To make it run, I had to modify the index.html and iphone/index.html and replace that reference with "/cgi-script" to follow that alias as defined in default Apache configuration. In addition, the perl scripts have to be chmod'ed with a+x, and the AllowOveride option set to All for /cgi-bin directory for the .htaccess to have effect.

Reproducible: Always

Steps to Reproduce:
See Description.
Actual Results:  
Main page of collectd-web opens, but without any host / data.

Expected Results:  
After fixing the *.html, chmod'ed the CGI scripts a+x and changed AllowOverride to All for /cgi-bin, the main page opens with expected data.

Emerge info:

mfld@ns391154 ~ $ emerge --info
Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.7.3, glibc-2.17, 3.10.23-xxxx-grs-ipv6-64 x86_64)
=================================================================
System uname: Linux-3.10.23-xxxx-grs-ipv6-64-x86_64-Intel-R-_Core-TM-_i5-2300_CPU_@_2.80GHz-with-gentoo-2.2
KiB Mem:    16330880 total,   1420144 free
KiB Swap:    1046520 total,   1022388 free
Timestamp of tree: Tue, 11 Mar 2014 20:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="fr_FR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://gentoo.mirrors.ovh.net/gentoo-portage/"
USE="acl amd64 apache2 berkdb bzip2 cli cracklib crypt curl cxx dri fortran gdbm iconv ipv6 mmx modules multilib mysql mysqli ncurses nls nptl openmp openssl pam pcre readline session sse sse2 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US fr fr_FR" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

Internet shell access to patched & working installation could be provided for the resolved to look and better understand the problem.
Comment 1 Larry the Git Cow gentoo-dev 2018-04-18 12:27:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01988a68fadae25a9b5ade1cfd4f8f7cdef0bbd1

commit 01988a68fadae25a9b5ade1cfd4f8f7cdef0bbd1
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-04-18 12:25:27 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-04-18 12:27:15 +0000

    www-apps/collectd-web: remove last rited package
    
    Closes: https://bugs.gentoo.org/650390
    Closes: https://bugs.gentoo.org/504728

 www-apps/collectd-web/Manifest                  |  1 -
 www-apps/collectd-web/collectd-web-0.4.0.ebuild | 43 -------------------------
 www-apps/collectd-web/metadata.xml              | 11 -------
 3 files changed, 55 deletions(-)
Comment 2 gentoo 2018-05-28 17:32:33 UTC
Actually removed in latest 'emerge --sync'.